> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# leadstatus

> List provider for LeadStatus

## "leadstatus" MDO List

List provider for LeadStatus

Implemented by the <see cref="T:SuperOffice.CRM.Lists.LeadStatusListProvider">LeadStatusListProvider</see> class.
The name of the MDO list is 'leadstatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/leadstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("leadstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name         | StyleHint | ExtraInfo |
| -- | ------------ | --------- | --------- |
| 1  | Open         |           |           |
| 2  | Contacting   |           |           |
| 3  | Disqualified |           |           |
| 4  | Re-nurture   |           |           |
| 5  | Qualified    |           |           |

## Related MDO Lists

* "leadstatusheadings"
* "leadstatusheadingswithallitem"
* "leadstatusheadingswithallitemwithnoselection"
* "leadstatusheadingswithnoselection"
* "leadstatuswithallitem"
* "leadstatuswithallitemwithnoselection"
* "leadstatuswithnoselection"


## Related topics

- [leadstatus table](/en/database/tables/leadstatus.md)
- [SuperOffice.WebApi.Data.AutomatedCategoryUpdate](/en/api/reference/webapi/SuperOffice.WebApi.Data.AutomatedCategoryUpdate.md)
- [SuperOffice.WebApi.Data.PersonEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.PersonEntity.md)
- [AutomatedCategoryUpdate table](/en/database/tables/automatedcategoryupdate.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
- [SuperOffice.WebApi.Agents.ListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ListAgent.md)
